* mer04_all.do
* Sampling - all calculations
*
	clear all
	version 12
	set more off
	cd c:\mer\ch04\data		/* this line is computer dependent */
	* capture log close mer04_all
	* log using mer04_all, name(mer04_all) replace 
	
*************************************************************************
* Disclaimer
*************************************************************************
/* 
The analyses shown in this program are carried out for providing examples for the text. 
	They do not, in any way, represent a complete or appropriate analysis of the dataset
*/

*************************************************************************
* Open the NSAGI data designated for use with this chapter
*************************************************************************
	use gi_surv.dta, clear

*************************************************************************
* Ex 4.3 Confidence intervals for risks and rates
*************************************************************************

* reformat the Y/N disease variables
	format ill ill_vomit ill_diarr ill_diarr_now %7.5f
* determine number of positives in 5-10 year olds
	tab ill ill_diarr if age_c20==1
* compute the approximate confidence intervals
	ci ill if age_c20==1
	ci ill_diarr if age_c20==1
* compute the exact binomial confidence intervals
	ci ill if age_c20==1, binomial
	ci ill_diarr if age_c20==1, binomial
* compute incidence rates and exact confidence intervals
	* determine days at risk for each person
	* based on 30 days minus the sum of: 
		* number of ill days + 7 days not at risk following each episode
	gen dar=max(1,30-max(0,(ill_days-1))-7*ill_episodes)
	* compute incidence rates
	ci ill_episodes  if age_c20==1, poisson exposure(dar)

*************************************************************************
* Ex 4.4 - 4.5 Standardized risks
*************************************************************************
* generate a 4 category age variable
	egen age_c4=cut(age_c20), at(0 1 2 14 9999) icodes
	* determine if -ill- varies by age group and study
	tab age_c4 ill, row chi		/* substantial differences */
	tab study ill, row chi	/* moderate differences */
	* collapse the data to study and age class groups
	preserve
	collapse (sum) ill (count) n=ill, by(study age_c4)
			format ill n %6.0f
			list
		* compute direct standardized rates
			dstdize ill n age_c4, by(study)
			list
		* compute indirect standardized rates
			* compute total # of cases in each population
			bysort study: egen ill_tot=total(ill)
			istdize  ill_tot n age_c4 using stdize_ind.dta , by(study) rate(risk .15) print
	restore
