* mer06_all.do
* Measures of Association - all calculations
*
	clear all
	version 12
	set more off
	cd c:\mer\ch06\data		/* this line is computer dependent */
	capture log close mer06_all
	log using mer06_all, name(mer06_all) replace 
	
*************************************************************************
* Disclaimer
*************************************************************************
/* 
The analyses shown in this program are carried out for providing examples for the text. 
	They do not, in any way, represent a complete or appropriate analysis of the dataset
*/

*************************************************************************
* Open the data - generate a dichotomous outcome (<2500 gm = low birth weight)
*	and recode smoking
*************************************************************************

use bw5k.dta, clear
* generate a variable for low birth weight
	gen byte low_bw = bwt < 2500 if !missing(bwt)
		label define low_bw_lbl 0 "normal" 1 "low" 
		label val low_bw low_bw_lbl
* generate a dichotomous variable for smoking
	gen byte smk = cig_2 > 0 if !missing(cig_2)
		label define smk_lbl 0 "non-smoker" 1 "smoker" 
		label val smk smk_lbl
* save the new dataset
save low_bw.dta, replace

*************************************************************************
* Table 6.3
*************************************************************************
* based on approximate annual incidence of pancreatic cancer in Canada (10/100,000 per year)
* and estimated risk effect of smoking (RR=2 to 3)
use "C:\mer\data\brazil.dta", clear
cs diarr cistern, or

*************************************************************************
* Table 6.4
*************************************************************************
* based on approx. prevalence of 18% of females in 30's and 6% of males
* assume 3 cases per month
iri 131 44 250 236

*************************************************************************
* Example 6.1  Measures of Association
*************************************************************************
use low_bw.dta, clear
cs low_bw smk, or

*************************************************************************
* Example 6.2  Confidence Intevals for Measures of Association
*************************************************************************
 
* Compute direct and test-based estimates of CI for incidence rate data
	* based on data in Table 6.4
	iri 131 44 250 236
	iri 131 44 250 236, tb
* Compute exact and test-based CI for incidence risk data
	* based on data in Example 6.1
	cs low_bw smk, exact
	cs low_bw smk, tb
* Compute Cornfield's, test-based, exact and Woolf's CI for odds ratios
	cs low_bw smk,  or 
	cs low_bw smk,  or woolf
	cs low_bw smk,  or tb
	cc low_bw smk,  exact

* close the log file
	log close mer06_all
