* MER
* ch12_all.do
* Validity - sensitivity analyses
*
	clear all
	version 12
	set more off
	cd c:\mer\ch12\data		/* this line is computer dependent */
	capture log close mer12_all
	log using mer12_all, name(mer12_all) replace 

*************************************************************************
* Ex 12.2 Selection bias
*************************************************************************
set seed 76543
episensi 31 16 25 30, dpscex(c(0.5)) dpscun(c(0.6)) dpsnex(c(0.05)) dpsnun(c(0.1)) study(cc)
episensi 31 16 25 30, dpscex(triang(0.4 0.5 0.6)) dpscun(triang(0.5 0.6 0.7)) ///
	dpsnex(triang(0.01 0.05 0.1)) dpsnun(triang(0.05 0.1 0.2)) study(cc)

*************************************************************************
* Ex 12.4 Misclassification of exposure
*************************************************************************
set seed 76543
episensi 31 16 25 30, dseca(c(0.8)) dspca(c(0.95)) dsenc(c(0.8)) dspnc(c(0.95)) study(cc)
episensi 31 16 25 30, dseca(c(0.9)) dspca(c(0.85)) dsenc(c(0.8)) dspnc(c(0.95)) study(cc)
episensi 31 16 25 30, dseca(uni(0.85 .95)) dspca(uni(0.82 .88)) dsenc(uni(0.7 .9)) ///
	dspnc(c(0.92 .98)) study(cc) reps(2000) saving(temp, replace)
use temp, clear
histogram  adjrrmiesys, freq scheme(s1mono) ///
ytitle("frequency", m(r+2)) ylabel(, angle(horizontal) format(%4.0f)) ///
xlabel(,format(%4.2f)) xtitle("adjusted OR", m(t+2)) plotregion(style(none)) 
	graph save "figs/fig12_episens.gph", replace
	graph export "figs/fig12_episens.emf", replace
		/* note - the above command assumes that there is a "figs" directory under your working directory */

